/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import java.nio.file.Files
import java.nio.file.Path
import java.nio.file.Paths

Path projectPath = Paths.get(request.outputDirectory, request.artifactId)

Path buildGradlePath = projectPath.resolve("build.gradle")

Files.deleteIfExists buildGradlePath

Properties properties = request.properties

String liferayVersion = properties.get("liferayVersion")

if (!liferayVersion.startsWith("7.1")) {
	String className = properties.get("className")
	String packageName = properties.get("package")

	String[] segments = packageName.split("\\.")

	List<String> paths = ["src", "main", "java"]

	paths.addAll segments
	paths.add "constants"
	paths.add "${className}WebKeys.java"

	Path resourcePath = Paths.get("", paths as String[])

	Path resourceFullPath = projectPath.resolve(resourcePath)

	Files.deleteIfExists resourceFullPath
}